using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

			document.Info.Title = "Example";
			document.Info.Author = "Siberix Technologies, Canada";
			document.Info.Creator = "Siberix PDF Sparkle for .NET";

			document.DisplayMode = Siberix.Sparkle.PDF.DisplayMode.Bookmarks;

			document.AddPage();
			document.AddPage();

			document.AddBookmark(0, 0, 0, "Page 1", true);
			document.AddBookmark(1, 0, 0, "Page 2", true);

			document.Generate("Bookmarks.pdf");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Bookmarks.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}