Imports System
Imports System.IO

Module Example

    Sub Main()

        Dim document As Siberix.Sparkle.PDF.Document = New Siberix.Sparkle.PDF.Document()

        document.Info.Title = "Example"
        document.Info.Author = "Siberix Technologies, Canada"
        document.Info.Creator = "Siberix PDF Sparkle for .NET"

        document.User = "test"
        document.Owner = "siberix"

        document.Permissions.Add = False
        document.Permissions.Copy = False
        document.Permissions.Modify = False
        document.Permissions.Print = True

        Dim page As Siberix.Sparkle.PDF.IPage = document.AddPage(612, 792)

        page.Graphics.Font = New Siberix.Sparkle.Graphics.Fonts.Arial(12)
        page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.Black
        page.Graphics.DrawString(25, 25, "This document is encrypted.")

        document.Generate("Encryption.pdf")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Encryption.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
