Imports System
Imports System.IO

Module Example

    Sub Main()

        Dim document As Siberix.Sparkle.PDF.Document = New Siberix.Sparkle.PDF.Document()

        document.Info.Title = "Example"
        document.Info.Author = "Siberix Technologies, Canada"
        document.Info.Creator = "Siberix PDF Sparkle for .NET"

        Dim page As Siberix.Sparkle.PDF.IPage = document.AddPage(612, 792)

        page.Graphics.Font = New Siberix.Sparkle.Graphics.Fonts.Arial(12)
        page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.Blue
        page.Graphics.Pen = Siberix.Sparkle.Graphics.Pens.Blue

        Dim w As Single = page.Graphics.StringWidth("Next link")
        Dim h As Single = page.Graphics.FontMetrics.Ascent + 2.0F

        page.Graphics.StartHyperlink(0, 0, 35)
        page.Graphics.DrawString(30, 20, "Next link")
        page.Graphics.DrawLine(30, 20 + h, w + 30, 20 + h)
        page.Graphics.EndHyperlink()

        w = page.Graphics.StringWidth("Previous link")

        page.Graphics.StartHyperlink(0, 0, 20)
        page.Graphics.DrawString(30, 35, "Previous link")
        page.Graphics.DrawLine(30, 35 + h, w + 30, 35 + h)
        page.Graphics.EndHyperlink()

        w = page.Graphics.StringWidth("Link to www.siberix.com")

        page.Graphics.StartHyperlink("http://www.siberix.com")
        page.Graphics.DrawString(30, 50, "Link to www.siberix.com")
        page.Graphics.DrawLine(30, 50 + h, w + 30, 50 + h)
        page.Graphics.EndHyperlink()

        document.Generate("Hyperlinks.pdf")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Hyperlinks.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
